#pragma once
#include <glad/glad.h>
#include <string>
#include <iostream>
#include <fstream>
#include <spdlog/spdlog.h>


class Shader {
    private:
        int id;
        const size_t  CHUNK_SIZE = 10;
        char* readFile (const char* filePath);
    public:
        Shader(const std::string vertexShaderPath, const std::string fragmentShaderPath);
        void Use();

};